<template>
  <div class="quiz-survey-header row mb-5 ms-0">
    <div class="col col-12 col-lg-4 user-wrap mb-4 mb-lg-0">
      <div class="row py-4 h-100 w-100 m-0">
        <div class="col col-5 col-lg-5 px-3 px-lg-0 ps-lg-3 d-flex align-items-center">
          <div class="w-100 position-relative" style="padding-top: 100%;">
            <img
              v-if="user.avatar"
              :src="user.avatar"
              alt="avatar"
              class="avatar w-100 rounded-circle position-absolute top-0 start-0"
              style="height: 100%; object-fit: cover;"
            />
            <img
              v-else
              src="@/assets/img/logo_bsb@2x.png"
              alt="avatar"
              class="avatar w-100 rounded-circle position-absolute top-0 start-0"
              style="height: 100%; object-fit: cover;"
            />
          </div>
        </div>
        <div class="col col-7 col-lg-7 d-flex align-items-start flex-column justify-content-center">
          <p class="fw-bold text-light mb-0 mt-2 text-left">User name:</p>
          <p class="text-light text-left skiptranslate">{{ user.name }}</p>
        </div>
      </div>
    </div>
    <div class="col col-12 col-lg-4 info-wrap mb-4 mb-lg-0">
      <div class="row w-100 h-100 m-0 pt-2">
        <div class="col d-flex flex-column justify-content-center py-4 py-lg-0">
          <div class="d-flex justify-content-between">
            <span class="title fw-bold">My Quiz</span><span class="value text-danger fw-bold">{{ myQuiz }}</span>
          </div>
          <div class="d-flex justify-content-between">
            <span class="title fw-bold">My Survey</span><span class="value text-danger fw-bold">{{ mySurvey }}</span>
          </div>
          <div class="d-flex justify-content-between">
            <span class="title fw-bold">Submitted Quiz</span
            ><span class="value text-danger fw-bold">{{ quizSubmitted }}</span>
          </div>
          <div class="d-flex justify-content-between">
            <span class="title fw-bold">Submitted Survey</span
            ><span class="value text-danger fw-bold">{{ surveySubmitted }}</span>
          </div>
          <!-- <div class="d-flex justify-content-between">
            <span class="title fw-bold">Ad Exposure</span><span class="value text-danger fw-bold">29</span>
          </div> -->
        </div>
      </div>
    </div>
    <div class="col col-12 col-lg-4 trade-wrap">
      <div class="row h-100 w-100 m-0">
        <div class="col d-flex flex-column justify-content-center">
          <div class="row border-bottom py-3">
            <div class="col col-12">
              <div class="row align-items-center">
                <div class="col col-3 col-lg-2 pe-0"><img class="w-100" src="@/assets/img/bitcoin-icon.png" /></div>
                <div class="col col-9 col-lg-10">
                  <p class="fw-bold mb-0 skiptranslate">Bitcoin</p>
                  <p class="mb-0">{{ parseFloat(user.balanceAvailable || 0).toFixed(8) }}</p>
                  <p class="mb-0">{{ user.balanceAvailable | btcToUsd }} USD</p>
                </div>
              </div>
            </div>
            <!-- <div class="col col-4 ms-auto">
              <button class="btn btn-danger rounded-pill w-100 p-0 py-lg-1 trade-btn">Trade</button>
            </div> -->
          </div>
          <div class="row py-3">
            <div class="col col-12">
              <div class="row align-items-center">
                <div class="col col-3 col-lg-2 pe-0"><img class="w-100" src="@/assets/img/bsbt-icon.png" /></div>
                <div class="col col-9 col-lg-10">
                  <p class="fw-bold mb-0">BSBT</p>
                  <p class="mb-0">{{ parseFloat(user.bsbtBalance || 0).toFixed(8) }}</p>
                  <p class="mb-0">{{ user.bsbtBalance | bsbtToUsd }} USD</p>
                </div>
              </div>
            </div>
            <!-- <div class="col col-4 ms-auto">
              <button class="btn btn-danger rounded-pill w-100 p-0 py-lg-1 trade-btn">Trade</button>
            </div> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { apiCustomerPost, apiCustomerGet } from "../../services/baseApi.js";

export default {
  data() {
    return {
      user: {},
      myQuiz: 0,
      quizSubmitted: 0,
      mySurvey: 0,
      surveySubmitted: 0
    };
  },
  methods: {
    async getMyQuiz() {
      try {
        const res = await apiCustomerGet("quizz/my-quiz", { created_by: this.user.id, limit: 0 });

        if (res && res.data && res.data.status) {
          this.myQuiz = res.data.data.total;
        }
      } catch (error) {
        console.log(error);
      }
    },
    async getAllSumittedQuiz() {
      try {
        let res = await apiCustomerPost("quiz-reward/get-list", {
          limit: 0,
          page: 1,
          search: {
            customer_id: this.user.id
          }
        });

        if (res && res.data && res.data.status) {
          this.quizSubmitted = res.data.data.total;
        }
      } catch (error) {
        console.log(error);
      }
    }
  },
  async mounted() {
    let user = localStorage.getItem("user");
    if (!user) return;
    this.user = JSON.parse(user);

    this.getAllSumittedQuiz();
    this.getMyQuiz();
  }
};
</script>

<style scoped>
.quiz-survey-header {
  width: 100%;
  margin-left: 0;
}
.user-wrap .row {
  background: #d7827d;
  border-radius: 24px;
}
.user-wrap p {
  font-size: 22px;
}
.info-wrap {
  background: unset;
  border-radius: unset;
  box-shadow: unset;
}
.info-wrap > .row,
.trade-wrap > .row,
.submitted-section > .col:first-child .col {
  border-radius: 24px;
  background: #f4f4f4;
  box-shadow: 4px 4px 5px #c4c4c4;
}
</style>
